#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/pbbuttonsd.cnf.new
for FILE in etc/power/*.new ; do
	config $FILE
done
for FILE in etc/power/scripts.d/*.new ; do
	config $FILE
done
( cd etc/power/event.d ; rm -rf apmd-compat )
( cd etc/power/event.d ; ln -sf ../scripts.d/apmd-compat apmd-compat )
( cd etc/power/event.d ; rm -rf bdflush )
( cd etc/power/event.d ; ln -sf ../scripts.d/bdflush bdflush )
( cd etc/power/event.d ; rm -rf hdsetup )
( cd etc/power/event.d ; ln -sf ../scripts.d/hdsetup hdsetup )
